QCanvasPolygon(3qt)

NAME
QCanvasPolygon - Polygon on a QCanvas

SYNOPSIS
#include <qcanvas.h>

Inherits QCanvasPolygonalItem.

Inherited by QCanvasSpline.

  Public Members
QCanvasPolygon ( QCanvas * canvas )
~QCanvasPolygon ()
void setPoints ( QPointArray pa )
QPointArray points () const
virtual QPointArray areaPoints () const
virtual int rtti () const

  Protected Members
virtual void drawShape ( QPainter & p )

DESCRIPTION
The QCanvasPolygon class provides a polygon on a QCanvas.

Paints a polygon with a QBrush. The polygon's points can be set in the constructor or set or changed later using setPoints(). Use points() to retrieve the points, or areaPoints() to retrieve the points relative to the canvas's origin.

The polygon can be drawn on a painter with drawShape().

Like any other canvas item polygons can be moved with QCanvasItem::move() and QCanvasItem::moveBy(), or by setting coordinates with QCanvasItem::setX(), QCanvasItem::setY() and QCanvasItem::setZ().

Note: QCanvasPolygon does not use the pen.

See also Graphics Classes and Image Processing Classes.

MEMBER FUNCTION DOCUMENTATION

QCanvasPolygon::QCanvasPolygon ( QCanvas * canvas )
Constructs a point-less polygon on the canvas canvas. You should call setPoints() before using it further.

QCanvasPolygon::~QCanvasPolygon ()
Destroys the polygon.

QPointArray QCanvasPolygon::areaPoints () const [virtual]
Returns the vertices of the polygon translated by the polygon's current x(), y() position, i.e. relative to the canvas's origin.

See also setPoints() and points().

Reimplemented from QCanvasPolygonalItem.

void QCanvasPolygon::drawShape ( QPainter & p ) [virtual protected]
Draws the polygon using the painter p.

Note that QCanvasPolygon does not support an outline (the pen is always NoPen).

Reimplemented from QCanvasPolygonalItem.

QPointArray QCanvasPolygon::points () const
Returns the vertices of the polygon, not translated by the position.

See also setPoints() and areaPoints().

int QCanvasPolygon::rtti () const [virtual]
Returns 4 (QCanvasItem::Rtti_Polygon).

See also QCanvasItem::rtti().

Reimplemented from QCanvasPolygonalItem.

Reimplemented in QCanvasSpline.

void QCanvasPolygon::setPoints ( QPointArray pa )
Sets the points of the polygon to be pa. These points will have their x and y coordinates automatically translated by x(), y() as the polygon is moved.

SEE ALSO
http://doc.trolltech.com/qcanvaspolygon.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive Qt documentation is provided in HTML format; it is located at $QTDIR/doc/html and can be read using Qt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qcanvaspolygon.3qt) and the Qt version (3.2.2).